!
! bootsect.inc  -  constants for assembler module for DOS boot sector
!
! Copyright (C) 1996-1999 Gero Kuhlmann   <gero@gkminix.han.de>
!
!  This program is free software; you can redistribute it and/or modify
!  it under the terms of the GNU General Public License as published by
!  the Free Software Foundation; either version 2 of the License, or
!  any later version.
!
!  This program is distributed in the hope that it will be useful,
!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!  GNU General Public License for more details.
!
!  You should have received a copy of the GNU General Public License
!  along with this program; if not, write to the Free Software
!  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!
!====================================================================
!
! Miscellaneous definitions
!
SECT_SIZE	equ	512		! sector size must be 512 bytes

BOOT_SPC	equ	1		! sectors per cluster
BOOT_SPFAT	equ	9		! sectors per FAT
BOOT_SPTRK	equ	18		! sectors per track
BOOT_DIRNUM	equ	224		! number of root dir entries
BOOT_SECNUM	equ	2880		! total number of sectors
BOOT_FORMAT	equ	$F0		! format ID for floppy disk
BOOT_ID		equ	$00		! BIOS id of boot floppy disk

BOOT_OFFSET	equ	$7C00		! offset for boot block in segment 0
BOOT_SIG_OFS	equ	$7DFE		! offset of boot signature in memory
BOOT_SIG	equ	$AA55		! boot signature

DIR_SEG		equ	$0050		! segment where DOS expects root dir
IOSYS_SEG	equ	$0070		! load segment for IO.SYS

